import * as i0 from "@angular/core";
/** @hidden */
export interface MaskOptions {
    format: string;
    promptChar: string;
}
/** @hidden */
export interface Replaced {
    value: string;
    end: number;
}
interface ParsedMask {
    literals: Map<number, string>;
    mask: string;
}
export declare function parseMask(format: string): ParsedMask;
/** @hidden */
export declare class MaskParsingService {
    applyMask(inputVal: string, maskOptions: MaskOptions, pos?: number): string;
    parseValueFromMask(maskedValue: string, maskOptions: MaskOptions): string;
    replaceInMask(maskedValue: string, value: string, maskOptions: MaskOptions, start: number, end: number): Replaced;
    /** Validates only non literal positions. */
    private validateCharOnPosition;
    private getNonLiteralIndices;
    private getNonLiteralValues;
    private replaceIMENumbers;
    static ɵfac: i0.ɵɵFactoryDeclaration<MaskParsingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MaskParsingService>;
}
export {};
